OUTPUT_FORMAT("elf32-littlearm") 
OUTPUT_ARCH(arm)


MEMORY
  {
    MEM_FLASH (X!W)	  : ORIGIN = 0x00000000, LENGTH = 512K
    MEM_SRAM (XW)	  : ORIGIN = 0x40000000, LENGTH = 64K
    MEM_USBSRAM (W)   : ORIGIN = 0x7FD00000, LENGTH = 16K
    MEM_ETHERSRAM (W) : ORIGIN = 0x7FE00000, LENGTH = 16K
    MEM_EXTSRAM_0 (W) : ORIGIN = 0x80000000, LENGTH = 64K
    MEM_EXTSRAM_1 (W) : ORIGIN = 0x81000000, LENGTH = 64K
  }


SECTIONS
{
    .vector :
    {
        start.o(.vector)
    } > MEM_FLASH
    

    .text :
    {
        *(.text)
    } > MEM_SRAM

    . = ALIGN(4);
    .rodata : { 
		*(.rodata) 
		*(.rodata.str1.4) 
	} > MEM_SRAM
    
    . = ALIGN(4);
    .data :
    {
        *(.data)
    } > MEM_SRAM
	
    . = ALIGN(4);
    __bss_start = .	;		
    .bss       :
    {
      *(.bss)
      *(COMMON)
    } > MEM_SRAM
    __bss_end = __bss_start + SIZEOF(.bss);

}	

	
		
	