/*
 * lpc2388.h
 *
 *  Created on: 2009/08/31
 *      Author: suikan
 */

#ifndef LPC2388_H_
#define LPC2388_H_

	/* Chapter 2 : Memory re-mapping */
#define MEMMAP *(volatile unsigned int *) 0xE01FC040

	/* Chapter 3 : System Control */
#define EXTINT *(volatile unsigned int *) 0xE01FC140
#define EXTMODE *(volatile unsigned int *) 0xE01FC148
#define EXTPOLAR *(volatile unsigned int *) 0xE01FC14C
#define RSID *(volatile unsigned int *) 0xE01FC180
#define AHBCFG1 *(volatile unsigned int *) 0xE01FC188
#define AHBCFG2 *(volatile unsigned int *) 0xE01FC18C
#define SCS *(volatile unsigned int*) 0xE01FC1A0

 /* Chapter 9 : Pin Connect block*/

#define PINSEL0 *(volatile unsigned int*) 0xE002c000
#define PINSEL1 *(volatile unsigned int*) 0xE002c004
#define PINSEL2 *(volatile unsigned int*) 0xE002c008
#define PINSEL3 *(volatile unsigned int*) 0xE002c00C
#define PINSEL4 *(volatile unsigned int*) 0xE002c010
#define PINSEL5 *(volatile unsigned int*) 0xE002c014
#define PINSEL6 *(volatile unsigned int*) 0xE002c018
#define PINSEL7 *(volatile unsigned int*) 0xE002c01C
#define PINSEL8 *(volatile unsigned int*) 0xE002c020
#define PINSEL9 *(volatile unsigned int*) 0xE002c024
#define PINSEL10 *(volatile unsigned int*) 0xE002c028


#define PINMODE0 *(volatile unsigned int *) 0xE002c040
#define PINMODE1 *(volatile unsigned int *) 0xE002c044
#define PINMODE2 *(volatile unsigned int *) 0xE002c048
#define PINMODE3 *(volatile unsigned int *) 0xE002c04C
#define PINMODE4 *(volatile unsigned int *) 0xE002c050
#define PINMODE5 *(volatile unsigned int *) 0xE002c054
#define PINMODE6 *(volatile unsigned int *) 0xE002c058
#define PINMODE7 *(volatile unsigned int *) 0xE002c05C
#define PINMODE8 *(volatile unsigned int *) 0xE002c060
#define PINMODE9 *(volatile unsigned int *) 0xE002c064

 /* Chapter 10 : FAST IO */
#define FIO0DIR *(volatile unsigned int*) 0x3FFFC000
#define FIO1DIR *(volatile unsigned int*) 0x3FFFC020
#define FIO2DIR *(volatile unsigned int*) 0x3FFFC040
#define FIO3DIR *(volatile unsigned int*) 0x3FFFC060
#define FIO4DIR *(volatile unsigned int*) 0x3FFFC080

#define FIO0MASK *(volatile unsigned int*) FIO0MASK 0x3FFFC010
#define FIO1MASK *(volatile unsigned int*) FIO0MASK 0x3FFFC030
#define FIO2MASK *(volatile unsigned int*) FIO0MASK 0x3FFFC050
#define FIO3MASK *(volatile unsigned int*) FIO0MASK 0x3FFFC070
#define FIO4MASK *(volatile unsigned int*) FIO0MASK 0x3FFFC090

#define FIO0PIN *(volatile unsigned int*) 0x3FFFC014
#define FIO1PIN *(volatile unsigned int*) 0x3FFFC034
#define FIO2PIN *(volatile unsigned int*) 0x3FFFC054
#define FIO3PIN *(volatile unsigned int*) 0x3FFFC074
#define FIO4PIN *(volatile unsigned int*) 0x3FFFC094

#define FIO0SET *(volatile unsigned int*) 0x3FFFC018
#define FIO1SET *(volatile unsigned int*) 0x3FFFC038
#define FIO2SET *(volatile unsigned int*) 0x3FFFC058
#define FIO3SET *(volatile unsigned int*) 0x3FFFC078
#define FIO4SET *(volatile unsigned int*) 0x3FFFC098

#define FIO0CLR *(volatile unsigned int*) 0x3FFFC01C
#define FIO1CLR *(volatile unsigned int*) 0x3FFFC03C
#define FIO2CLR *(volatile unsigned int*) 0x3FFFC05C
#define FIO3CLR *(volatile unsigned int*) 0x3FFFC07C
#define FIO4CLR *(volatile unsigned int*) 0x3FFFC09C

 /* Chapter 16 : UART */
#define U0RBR *( volatile unsigned char *)0xE000C000
#define U2RBR *( volatile unsigned char *)0xE0078000
#define U3RBR *( volatile unsigned char *)0xE007C000

#define U0THR U0RBR
#define U2THR U2RBR
#define U3THR U3RBR

#define U0DLL U0RBR
#define U2DLL U2RBR
#define U3DLL U3RBR

#define U0IER *( volatile unsigned char *)0xE000C004
#define U2IER *( volatile unsigned char *)0xE0078004
#define U3IER *( volatile unsigned char *)0xE007C004

#define U0DLM U0IER
#define U2DLM U2IER
#define U3DLM U3IER

#define U0IIR *( volatile unsigned char *)0xE000C008
#define U2IIR *( volatile unsigned char *)0xE0078008
#define U3IIR *( volatile unsigned char *)0xE007C008

#define U0FCR *( volatile unsigned char *)0xE000C008
#define U2FCR *( volatile unsigned char *)0xE0078008
#define U3FCR *( volatile unsigned char *)0xE007C008

#define U0LCR *( volatile unsigned char *)0xE000C00C
#define U2LCR *( volatile unsigned char *)0xE007800C
#define U3LCR *( volatile unsigned char *)0xE007C00C

#define U0LSR *( volatile unsigned char *)0xE000C014
#define U2LSR *( volatile unsigned char *)0xE0078014
#define U3LSR *( volatile unsigned char *)0xE007C014

#define U0SCR *( volatile unsigned char *)0xE000C01C
#define U2SCR *( volatile unsigned char *)0xE007801C
#define U3SCR *( volatile unsigned char *)0xE007C01C

#define U0ACR *( volatile unsigned char *)0xE000C020
#define U2ACR *( volatile unsigned char *)0xE0078020
#define U3ACR *( volatile unsigned char *)0xE007C020

#define U3ICR *( volatile unsigned char *)0xE000C024

#define U0FDR *( volatile unsigned char *)0xE000C028
#define U2FDR *( volatile unsigned char *)0xE0078028
#define U3FDR *( volatile unsigned char *)0xE007C028

#define U0TER *( volatile unsigned char *)0xE000C030
#define U2TER *( volatile unsigned char *)0xE0078030
#define U3TER *( volatile unsigned char *)0xE007C030


#define VICIRQStatus *(volatile unsigned int *)0xFFFFF000
#define VICFIQStatus *(volatile unsigned int *)0xFFFFF004
#define VICRawIntr *(volatile unsigned int *)0xFFFFF008

#define VICIntSelect *(volatile unsigned int *)0xFFFFF00C

#define VICIntEnable *(volatile unsigned int *)0xFFFFF010
#define VICIntEnClr *(volatile unsigned int *)0xFFFFF014

#define VICSoftInt *(volatile unsigned int *)0xFFFFF018
#define VICSoftIntClear *(volatile unsigned int *)0xFFFFF01C

#define VICProtection *(volatile unsigned int *)0xFFFFF020

#define VICSWPriorityMask *(volatile unsigned int *)0xFFFFF024


#define VICVectAddr0 *(volatile unsigned int *)0xFFFFF100
#define VICVectAddr1 *(volatile unsigned int *)0xFFFFF104
#define VICVectAddr2 *(volatile unsigned int *)0xFFFFF108
#define VICVectAddr3 *(volatile unsigned int *)0xFFFFF10C
#define VICVectAddr4 *(volatile unsigned int *)0xFFFFF110
#define VICVectAddr5 *(volatile unsigned int *)0xFFFFF114
#define VICVectAddr6 *(volatile unsigned int *)0xFFFFF118
#define VICVectAddr7 *(volatile unsigned int *)0xFFFFF11C
#define VICVectAddr8 *(volatile unsigned int *)0xFFFFF120
#define VICVectAddr9 *(volatile unsigned int *)0xFFFFF124
#define VICVectAddr10 *(volatile unsigned int *)0xFFFFF128
#define VICVectAddr11 *(volatile unsigned int *)0xFFFFF12C
#define VICVectAddr12 *(volatile unsigned int *)0xFFFFF130
#define VICVectAddr13 *(volatile unsigned int *)0xFFFFF134
#define VICVectAddr14 *(volatile unsigned int *)0xFFFFF138
#define VICVectAddr15 *(volatile unsigned int *)0xFFFFF13C
#define VICVectAddr16 *(volatile unsigned int *)0xFFFFF140
#define VICVectAddr17 *(volatile unsigned int *)0xFFFFF144
#define VICVectAddr18 *(volatile unsigned int *)0xFFFFF148
#define VICVectAddr19 *(volatile unsigned int *)0xFFFFF14C
#define VICVectAddr20 *(volatile unsigned int *)0xFFFFF150
#define VICVectAddr21 *(volatile unsigned int *)0xFFFFF154
#define VICVectAddr22 *(volatile unsigned int *)0xFFFFF158
#define VICVectAddr23 *(volatile unsigned int *)0xFFFFF15C
#define VICVectAddr24 *(volatile unsigned int *)0xFFFFF160
#define VICVectAddr25 *(volatile unsigned int *)0xFFFFF164
#define VICVectAddr26 *(volatile unsigned int *)0xFFFFF168
#define VICVectAddr27 *(volatile unsigned int *)0xFFFFF16C
#define VICVectAddr28 *(volatile unsigned int *)0xFFFFF170
#define VICVectAddr29 *(volatile unsigned int *)0xFFFFF174
#define VICVectAddr30 *(volatile unsigned int *)0xFFFFF178
#define VICVectAddr31 *(volatile unsigned int *)0xFFFFF17C

#define VICVectPriority0 *(volatile unsigned int *)0xFFFFF200
#define VICVectPriority1 *(volatile unsigned int *)0xFFFFF204
#define VICVectPriority2 *(volatile unsigned int *)0xFFFFF208
#define VICVectPriority3 *(volatile unsigned int *)0xFFFFF20C
#define VICVectPriority4 *(volatile unsigned int *)0xFFFFF210
#define VICVectPriority5 *(volatile unsigned int *)0xFFFFF214
#define VICVectPriority6 *(volatile unsigned int *)0xFFFFF218
#define VICVectPriority7 *(volatile unsigned int *)0xFFFFF21C
#define VICVectPriority8 *(volatile unsigned int *)0xFFFFF220
#define VICVectPriority9 *(volatile unsigned int *)0xFFFFF224
#define VICVectPriority10 *(volatile unsigned int *)0xFFFFF228
#define VICVectPriority11 *(volatile unsigned int *)0xFFFFF22C
#define VICVectPriority12 *(volatile unsigned int *)0xFFFFF230
#define VICVectPriority13 *(volatile unsigned int *)0xFFFFF234
#define VICVectPriority14 *(volatile unsigned int *)0xFFFFF238
#define VICVectPriority15 *(volatile unsigned int *)0xFFFFF23C
#define VICVectPriority16 *(volatile unsigned int *)0xFFFFF240
#define VICVectPriority17 *(volatile unsigned int *)0xFFFFF244
#define VICVectPriority18 *(volatile unsigned int *)0xFFFFF248
#define VICVectPriority19 *(volatile unsigned int *)0xFFFFF24C
#define VICVectPriority20 *(volatile unsigned int *)0xFFFFF250
#define VICVectPriority21 *(volatile unsigned int *)0xFFFFF254
#define VICVectPriority22 *(volatile unsigned int *)0xFFFFF258
#define VICVectPriority23 *(volatile unsigned int *)0xFFFFF25C
#define VICVectPriority24 *(volatile unsigned int *)0xFFFFF260
#define VICVectPriority25 *(volatile unsigned int *)0xFFFFF264
#define VICVectPriority26 *(volatile unsigned int *)0xFFFFF268
#define VICVectPriority27 *(volatile unsigned int *)0xFFFFF26C
#define VICVectPriority28 *(volatile unsigned int *)0xFFFFF270
#define VICVectPriority29 *(volatile unsigned int *)0xFFFFF274
#define VICVectPriority30 *(volatile unsigned int *)0xFFFFF278
#define VICVectPriority31 *(volatile unsigned int *)0xFFFFF27C

#define VICAddress *(volatile unsigned int *)0xFFFFFF00



#endif /* LPC2388_H_ */
